Page MenuHomeFreeBSD

audio/teamspeak3-server: Add mysql as required in rc script
ClosedPublic

Authored by ultima on Jul 20 2017, 8:54 PM.

Details

Summary
  • Added new default unset option MYSQL

If mysql is used instead of sqlite, teamspeak can fail to start because
mysql sometimes starts after teamspeak. As a fix, a new option has
been added that will add mysql to REQUIRES and set mysql server
as a depend.

Reported by\: Dries Michiels <driesmp@hotmail.com>
Reviewed by\: lifanov (mentor), matthew (mentor)
Approved by\: lifanov (mentor), matthew (mentor)
Differential Revision\: https://reviews.freebsd.org/DXXXXX

Test Plan

portlint:
WARN: Makefile: possible use of absolute pathname "/var/db/teamspeak".
WARN: Makefile: possible use of absolute pathname "/var/log/teamspeak".
WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.
WARN: Makefile: new ports should not set PORTREVISION.
WARN: Makefile: new ports should not set PORTEPOCH.
WARN: Makefile: using hyphen in PORTNAME. consider using PKGNAMEPREFIX and/or PKGNAMESUFFIX.
0 fatal errors and 6 warnings found.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

ultima created this revision.Jul 20 2017, 8:54 PM
ultima edited the summary of this revision. (Show Details)Jul 20 2017, 10:58 PM
ultima retitled this revision from audio/teamspeak3-server: Add mysql as to required in rc script to audio/teamspeak3-server: Add mysql as required in rc script.Jul 21 2017, 7:50 PM
lifanov edited edge metadata.Jul 24 2017, 7:59 PM

Is this conditional? What if sqlite is used?

Is this conditional? What if sqlite is used?

If sqlite is used, which is the default, it will run as it always has. The only difference would be that if there server also runs a mysql instance, it will start before teamspeak. Have tested as the server I run doesn't use mysql. Of course I am assuming this the intended way the REQUIRE is supposed to work, it is possible this is in fact a bug and is not to startup at all, but that is doubtful.

lifanov added a comment.EditedJul 24 2017, 8:15 PM

Can you test it on a box where
o teamspeak uses sqlite
o rc.conf has mysql_enable="NO"
o mysql server is installed

ultima updated this revision to Diff 31137.Jul 24 2017, 9:38 PM

Further testing did reveal an issue with adding it, as a solution I added a new options default unset MYSQL. A version bump will not be necesary with the additional code so it has been omitted.

ultima edited the summary of this revision. (Show Details)Jul 24 2017, 9:42 PM
mat added a comment.Jul 25 2017, 1:04 PM

changing options requires a PORTREVISION bump. See 5.2.2.1. PORTREVISION.

ultima updated this revision to Diff 31178.Jul 25 2017, 1:36 PM
  • Added revision bump
lifanov accepted this revision.Jul 26 2017, 2:18 PM

Looks good now!

This revision is now accepted and ready to land.Jul 26 2017, 2:18 PM
This revision was automatically updated to reflect the committed changes.